5 Replies Latest reply on Aug 28, 2007 3:49 AM by Olivier Thierry

    Can't build Ajax4JSF

    Olivier Thierry Apprentice

      Hi,

      I desperately try to build Ajax4JSF from sources and it turns to nightmare ...

      I have downloaded sources on this page : http://labs.jboss.com/jbossajax4jsf/downloads/
      (I tried to get latest sources on SVN but I can't make it work ...)

      I configured Maven as said here : http://labs.jboss.com/wiki/Ajax4jsfMaven

      Then I run "mvn install"

      But it looks like there are many errors in dependencies.

      - CDK requires qdox 1.6 ... but there's only 1.4 version on http://repository.jboss.com/maven2 repository
      - CDK requires commons-digester 1.5 while there is only 1.7 version on repository
      - and so many other problems that make it impossible to build Ajax4JSF.

      I read nothing about such problems on forums. Am I the only guy in the world that can't build Ajax4JSF ? (and I would not be proud about it).

      Note I have same problems while trying to build RichFaces.

      Thanks in advance